package ch.hslu.edu.enapp.webshop.common;

import java.util.List;

import ch.hslu.edu.enapp.webshop.common.dto.AuthgroupDTO;
import ch.hslu.edu.enapp.webshop.common.dto.CustomerDTO;

public interface CustomerServiceLocal {

	CustomerDTO getCustomerByUsername(final String username);

	CustomerDTO getCustomerById(final int customerId);

	String getUsername();

	CustomerDTO getCustomer();

	boolean updateCustomer(final CustomerDTO customerDTO);

	boolean createCustomer(final CustomerDTO customerDTO);

	boolean createCustomerWithLogin(final CustomerDTO customerDTO);

	List<CustomerDTO> getCustomers();

	List<AuthgroupDTO> getPermissionGroups(final CustomerDTO customer);

	boolean isMemberOfGroup(final CustomerDTO customer, final String groupname);

	boolean isAdmin(final CustomerDTO customer);
}
