package ch.hslu.edu.enapp.webshop.common.dto;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * The persistent class for the product database table.
 * 
 */
public class ProductDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	private String id;
	private String msDynNAVItemNo;

	private String description;

	private String mediapath;

	private String name;

	private BigDecimal unitprice;

	private int orderAmount;

	public ProductDTO() {
	}

	public String getId() {
		return this.id;
	}

	public void setId(final String id) {
		this.id = id;
	}

	public String getMsDynNAVItemNo() {
		return this.msDynNAVItemNo;
	}

	public void setMsDynNAVItemNo(final String msDynNAVItemNo) {
		this.msDynNAVItemNo = msDynNAVItemNo;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(final String description) {
		this.description = description;
	}

	public String getMediapath() {
		return this.mediapath;
	}

	public void setMediapath(final String mediapath) {
		this.mediapath = mediapath;
	}

	public String getName() {
		return this.name;
	}

	public void setName(final String name) {
		this.name = name;
	}

	public BigDecimal getUnitprice() {
		return this.unitprice;
	}

	public void setUnitprice(final BigDecimal unitprice) {
		this.unitprice = unitprice;
	}

	@Override
	public int hashCode() {
		return id.hashCode();
	}

	public int getOrderAmount() {
		return orderAmount;
	}

	public void setOrderAmount(final int orderAmount) {
		this.orderAmount = orderAmount;
	}

	@Override
	public String toString() {
		return getName() + " (" + getDescription() + ")";
	}

	@Override
	public boolean equals(final Object o) {
		if (o == null) {
			return false;
		}
		if (this == o) {
			return true;
		}
		if (this.getClass() != o.getClass()) {
			return false;
		}

		// compare properties
		final ProductDTO other = (ProductDTO) o;
		if (!getId().equals(other.getId())) {
			return false;
		}
		if (!getName().equals(other.getName())) {
			return false;
		}
		if (!getDescription().equals(other.getDescription())) {
			return false;
		}
		if (!getUnitprice().equals(other.getUnitprice())) {
			return false;
		}
		// if (!getMediapath().equals(other.getMediapath())) {
		// return false;
		// }
		return true;
	}
}