package ch.hslu.edu.enapp.webshop.entity;

import java.io.Serializable;
import javax.persistence.*;
import java.math.BigDecimal;


/**
 * The persistent class for the purchaseitem database table.
 * 
 */
@Entity
@Table(name="purchaseitem")
@NamedQueries({ 
	@NamedQuery(name = "getPurchaseitemByUnitprice", query = "SELECT p FROM Purchaseitem p WHERE p.unitprice = :unitprice"), 
	@NamedQuery(name = "getPurchaseitemByQuantity", query = "SELECT p FROM Purchaseitem p WHERE p.quantity = :quantity"),
	@NamedQuery(name = "getPurchaseitemByPurchaseid", query = "SELECT p FROM Purchaseitem p WHERE p.purchaseid = :purchaseid"),
	@NamedQuery(name = "getPurchaseitemByProductid", query = "SELECT p FROM Purchaseitem p WHERE p.productid = :productid"),
	@NamedQuery(name = "getPurchaseitemByLineamount", query = "SELECT p FROM Purchaseitem p WHERE p.lineamount = :lineamount"),
	@NamedQuery(name = "getPurchaseitemByDescription", query = "SELECT p FROM Purchaseitem p WHERE p.description = :description"),
	@NamedQuery(name = "getPurchaseitemById", query = "SELECT p FROM Purchaseitem p WHERE p.id = :id"),
	@NamedQuery(name = "getPurchaseitem", query = "SELECT p FROM Purchaseitem p") 
})
public class Purchaseitem implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	private int id;

	private String description;

	private BigDecimal lineamount;

	private String productid;

	private int purchaseid;

	private BigDecimal quantity;

	private BigDecimal unitprice;

	public Purchaseitem() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public BigDecimal getLineamount() {
		return this.lineamount;
	}

	public void setLineamount(BigDecimal lineamount) {
		this.lineamount = lineamount;
	}

	public String getProductid() {
		return this.productid;
	}

	public void setProductid(String productid) {
		this.productid = productid;
	}

	public int getPurchaseid() {
		return this.purchaseid;
	}

	public void setPurchaseid(int purchaseid) {
		this.purchaseid = purchaseid;
	}

	public BigDecimal getQuantity() {
		return this.quantity;
	}

	public void setQuantity(BigDecimal quantity) {
		this.quantity = quantity;
	}

	public BigDecimal getUnitprice() {
		return this.unitprice;
	}

	public void setUnitprice(BigDecimal unitprice) {
		this.unitprice = unitprice;
	}

}