package ch.hslu.edu.enapp.webshop.admin.jsf;

import java.io.IOException;
import java.io.Serializable;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.enterprise.context.SessionScoped;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;
import javax.inject.Named;

import ch.hslu.edu.enapp.webshop.common.CustomerServiceRemote;
import ch.hslu.edu.enapp.webshop.common.dto.CustomerDTO;

@Named
@SessionScoped
public class AdminSession implements Serializable {
	private static final long serialVersionUID = 1L;

	private CustomerDTO admin;

	@EJB
	private CustomerServiceRemote customerService;

	@PostConstruct
	public void init() {
		this.admin = customerService.getCustomer();
		// System.out.println("AdminSession: " + admin.getUsername() + " (Id: " + admin.getId() + ")");
	}

	public String getNameWithLogin() {
		return admin.getName() + " (" + admin.getUsername() + ")";
	}

	public void logout(final ActionEvent evt) throws IOException {
		final ExternalContext ec = FacesContext.getCurrentInstance().getExternalContext();
		ec.invalidateSession();

		// final FacesMessage message = new
		// FacesMessage(FacesMessage.SEVERITY_INFO, "Logout successful", null);
		// FacesContext.getCurrentInstance().addMessage(null, message);

		ec.redirect(ec.getRequestContextPath() + "/ibm_security_logout?logoutExitPage=/index.xhtml");
	}

}
